Get Line Items
curl --request GET \
--url https://api.withflex.com/v1/checkout/sessions/{id}/line_items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/checkout/sessions/{id}/line_items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/checkout/sessions/{id}/line_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"line_items": [
{
"line_item_id": "fli_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"amount_discount": 2500,
"amount_subtotal": 2500,
"amount_tax": 2500,
"amount_total": 2500,
"amount_shipping": 2500,
"amount_fee": 2500,
"description": "Premium SPF 50 mineral sunscreen",
"fees": [
{
"fee_type": "lmn_consultation",
"amount": 2500
}
],
"price": {
"price_id": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"trial_period_days": 0,
"unit_amount": 0,
"recurring": {
"interval": "day",
"interval_count": 0,
"trial_period_days": 0
},
"active": false,
"product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"type": "one_time",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"lookup_key": "standard_monthly",
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false
},
"quantity": 2500,
"eligibility": "not_eligible",
"shipping_rate": "fshr_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
]
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Get Line Items
Returns the line items for the given Checkout Session. Each line item includes its price, quantity, and computed amounts.
GET
/
v1
/
checkout
/
sessions
/
{id}
/
line_items
Get Line Items
Authorizations
Use a Bearer token to access this API.
Path Parameters
Example:
"fcs_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Response
An envelope wrapping a list of line item objects.
An envelope wrapping a list of line item objects.
The list of line items.
Show child attributes
Show child attributes